dpkg-statoverride(8)

NAME
dpkg-statoverride - über Eigentümerschaft und Modus von Dateien hinwegsetzen

SYNOPSIS
dpkg-statoverride [Optionen] --add <Benutzer> <Gruppe> <Modus> <Datei>
dpkg-statoverride [Optionen] --remove <Datei>
dpkg-statoverride [Optionen] --list [<Glob-Muster>]

BESCHREIBUNG
»Stat-Hinwegsetzungen« sind eine Möglichkeit dpkg(1) zu berichten, einen anderen Eigentümer oder Modus für eine Datei zu verwenden, wenn ein Paket installiert wird. (Hinweis: Ich verwende das Wort »Datei« hier, aber tatsächlich kann dies jedes Dateisystemobjekt sein, dass Dpkg handhabt, darunter Verzeichnisse, Geräte, usw.). Dies kann dazu verwendet werden, Programme, die normalerweise setuid sind, dazu zu zwingen, ohne setuid-Markierung zu installieren, oder nur von einer bestimmten Gruppe ausführbar zu sein.

dpkg-statoverride ist ein Hilfswerkzeug um die Liste der Status-Hinwegsetzungen zu verwalten. Es hat drei grundlegende Funktionen: hinzufügen, entfernen und auflisten von Hinwegsetzungen.

OPTIONEN

--add <Benutzer> <Gruppe> <Modus> <Datei>
    Füge eine Hinwegsetzung für <Datei> hinzu. <Datei> muss noch nicht existieren wenn diese Kommando verwendet wird; die Hinwegsetzung wird aufbewahrt und später verwendet. Benutzer und Gruppen können über ihren Namen (beispielsweise root oder nobody) spezifiziert werden, oder über ihre Zahl mit vorangestelltem »#« (beispielsweise #0 oder #65534). Falls --update angegeben ist und die <Datei> existiert, dann wird diese sofort auf den neuen Eigentümer und Modus eingestellt.

--remove <Datei>
    Entfernt eine Hinwegsetzung für <Datei>, der Status von <Datei> bleibt durch dieses Kommando unverändert.

--list [<Glob-Muster>]
    Liste alle Hinwegsetzungen auf. Falls ein Glob-Muster spezifiziert wurde, begrenze die Ausgabe auf Hinwegsetzungen, die auf den Glob passen. Falles es keine Hinwegsetzungen gibt oder keine auf den Glob passt, wird sich dpkg-statoverride mit einem Exit-Wert von 1 beenden.

--force
    Erzwinge eine Aktion, selbst wenn eine Sinn-Überprüfung diese normalerweise verböte. Dies ist notwendig, um sich über eine existierende Hinwegsetzung hinwegzusetzen.

--update
    Versuche die Datei sofort auf den neuen Eigentümer und neuen Modus zu ändern, falls sie existiert.

--quiet
    Sei nicht so ausführlich darüber, was wir machen.

--help
    Zeige Bedienungsinformationen.

--version
    Zeige Programmversion und Copyright.

--admindir
    Wechsle das Verzeichnis der Dpkg-Datenbank, wo auch die statoverride-Datei gelagert ist. Der Standard ist /var/lib/dpkg.

DATEIEN

/var/lib/dpkg/statoverride
    Datei, die die aktuelle Liste der Hinwegsetzungen auf dem System enthält. Sie befindet sich im Dpkg-Administrationsverzeichnis, zusammen mit anderen, für Dpkg wichtigen Dateien, wie »status« oder »available«.
    Hinweis: dpkg-statoverride erhält die alte Kopie dieser Datei mit der Endung »-old« bevor es sie mit einer neuen ersetzt.

SIEHE AUCH
dpkg(1).

AUTOR
Copyright 2000 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.

Die deutsche Übersetzung wurde 2006 von Helge Kreutzmann <debian@helgefjell.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.